Bug 226114 - Merge Review: m2crypto
Merge Review: m2crypto
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: m2crypto (Show other bugs)
25
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:36 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 10:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:36:06 EST
Fedora Merge Review: m2crypto

http://cvs.fedora.redhat.com/viewcvs/devel/m2crypto/
Initial Owner: mitr@redhat.com
Comment 1 Jon Ciesla 2012-04-05 14:39:27 EDT
Good:

! rpmlint checks return:


m2crypto.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/m2crypto-0.21.1/tests/thawte.pem
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

Fix until that would break the tests.

m2crypto.x86_64: E: zero-length /usr/share/doc/m2crypto-0.21.1/demo/Zope/lib/python/Products/GuardedFile/refresh.txt

Ignore or remove.

! package meets naming guidelines   Should really be python-m2crypto.  If you submit a rename review I'll do it.  Or this could be it, really.
- package meets packaging guidelines


! license ( MIT ) I see BSD-style, Apache 2.0, MIT, Zope Public License, should this not reflect all of those?

- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

So just rpmlint, name and license, otherwise OK.
Comment 2 Jon Ciesla 2012-04-26 09:37:18 EDT
Ping?
Comment 3 Miloslav Trmač 2012-04-26 09:52:55 EDT
(In reply to comment #2)
> Ping?

I do appreciate the review, and I plan to act on it... however fixing other broken stuff is more important at the moment, I'm afraid.
Comment 4 Jon Ciesla 2013-02-07 12:23:53 EST
Ping?
Comment 5 Cole Robinson 2015-02-11 15:37:46 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 6 Jan Kurik 2015-07-15 11:25:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 7 Fedora End Of Life 2016-11-24 05:19:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.